/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { MovingAverageConvergenceDivergenceIndicatorStrategy } from "./MovingAverageConvergenceDivergenceIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 9;
        this.o8 = 1;
    }
    get_p0() {
        return new MovingAverageConvergenceDivergenceIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return MovingAverageConvergenceDivergenceIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get shortPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qo));
    }
    set shortPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qo, a);
    }
    p8() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qn));
    }
    set longPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qn, a);
    }
    p5() {
        return this.longPeriod;
    }
    get signalPeriod() {
        return typeGetValue(this.c(MovingAverageConvergenceDivergenceIndicator.qp));
    }
    set signalPeriod(a) {
        this.h(MovingAverageConvergenceDivergenceIndicator.qp, a);
    }
    pg() {
        return this.signalPeriod;
    }
}
MovingAverageConvergenceDivergenceIndicator.qo = StrategyBasedIndicator.qk(10, MovingAverageConvergenceDivergenceIndicator.$);
MovingAverageConvergenceDivergenceIndicator.qn = StrategyBasedIndicator.qg(30, MovingAverageConvergenceDivergenceIndicator.$);
MovingAverageConvergenceDivergenceIndicator.qp = StrategyBasedIndicator.qj(9, MovingAverageConvergenceDivergenceIndicator.$, "SignalPeriod");
MovingAverageConvergenceDivergenceIndicator.$t = markType(MovingAverageConvergenceDivergenceIndicator, 'MovingAverageConvergenceDivergenceIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
/*<BeginStatics Name="Infragistics.Controls.Charts.MovingAverageConvergenceDivergenceIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.MovingAverageConvergenceDivergenceIndicator" />*/
